Draft Clone/tr: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(32 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Draft_Stretch|Stretch]]
|[[Draft_OrthoArray|OrthoArray]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Stretch.svg
|IconR=Draft_OrthoArray.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr
|Name/tr=Klon
|Name=Draft Clone
|Name/tr=Klonla
|MenuLocation=Taslak → Klon
|MenuLocation=Taslak → Klonla
|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]
|Workbenches=[[Draft_Workbench/tr|Taslak]], [[Arch_Workbench/tr|Yapı]]
|Shortcut={{KEY|C}} {{KEY|L}}
|SeeAlso=[[Draft Move/tr|Taşı]], [[Draft Scale/tr|Ölçek]]
|SeeAlso=[[Draft Move/tr|Taşı]], [[Draft Scale/tr|Ölçek]]
}}
}}
</div>


==Description==
==Description==
The Draft Clone tool produces linked copies of a selected shape. This means that if the original object changes its shape and properties, all clones change as well. Nevertheless, each clone retains its unique position, rotation, and scale, as well as its view properties like shape color, line width, and transparency.


<div class="mw-translate-fuzzy">
The Clone tool can be used on 2D shapes created with the [[Draft Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench|Part]], [[PartDesign Workbench|PartDesign]], or [[Arch Workbench]]es.
== Açıklama ==
Taslak Klonlama aracı, seçilen bir şeklin bağlantılı kopyalarını oluşturur. Bu, eğer orijinal nesne şeklini ve özelliklerini değiştirirse, tüm klonların da değiştiği anlamına gelir. Bununla birlikte, her bir klon benzersiz konumunu, dönüşünü ve ölçeğini ve ayrıca şekil rengi, çizgi genişliği ve saydamlık gibi görünüm özelliklerini korur.
</div>


<div class="mw-translate-fuzzy">
To create simple copies, that are completely independent from an original object, use [[Draft Move]], [[Draft Rotate]], and [[Draft Scale]]. To position copies in an orthogonal array use [[Draft Array]]; to position copies along a path use [[Draft PathArray]]; to position copies at specified points use [[Draft PointArray]].
Klonla aracı, [[Draft Workbench/tr|Taslak tezgahı]] ile oluşturulan 2D şekillerde kullanılabilir, ancak [[Part Workbench/tr | Parça tezgahı]], [[PartDesign Workbench/tr|Parça tasarım tezgahı]] ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.
</div>


[[Image:Draft_Clone_example.jpg|400px]]
[[Image:Draft_Clone_example.jpg|400px]]
<div class="mw-translate-fuzzy">
{{Caption|Clone next to the original object}}
{{Caption|Klonla Orijinal nesnenin yanındadır}}
</div>


==How to use==
==Usage==
# Select an object that you wish to clone.
# Press the {{Button|[[Image:Draft Clone.svg|16px]] [[Draft Clone]]}} button.


<div class="mw-translate-fuzzy">
Depending on its options, the {{Button|[[Image:Draft Scale.svg|16px]] [[Draft Scale]]}} tool also creates a clone at a specified scale.
== Nasıl kullanılır ==
# Klonlamak istediğiniz nesneyi seçin.
# {{Button|[[Image:Draft Clone.svg|16px]] [[Draft Clone/tr|Klonla]]}} düğmesine basın.
</div>


==Properties==
Clones of 2D objects created with the [[Draft Workbench|Draft]] or [[Sketcher Workbench]]es will also be 2D objects, and therefore can be used as such for the [[PartDesign Workbench]].


See also: [[property_editor|Property editor]].
All [[Arch Workbench]] objects have the possibility to behave as clones by using their {{PropertyData|CloneOf}} property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.


An object created with the Draft Clone command is derived from a [[Part_Part2DObject|Part Part2DObject]], a [[Part_Feature|Part Feature]] object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:
===Limitations ===
Currently, [[Sketcher Workbench|Sketcher Sketches]] cannot be mapped to the faces of a clone.


==Options==
===Data===
There are no options for this tool. Either it works with the selected objects or not.


{{TitleProperty|Draft}}
==Properties==

* {{PropertyData|Objects}}: specifies a list of base objects which are being cloned.
<div class="mw-translate-fuzzy">
* {{PropertyData|Scale}}: specifies the scaling factor for the clone, in each X, Y, and Z direction.
== Özellikleri ==
* {{PropertyData|Fuse}}: if it is {{TRUE}} and {{PropertyData|Objects}} includes many shapes that intersect each other, the resulting clone will be fuse them together into a single shape, or make a compound of them. {{Version|0.17}}
* {{PropertyData | Nesneler}}: Klonlanan temel nesnelerin bir listesini belirtir.
* {{PropertyData | Ölçek}}: Klon için her X, Y ve Z yönünde ölçeklendirme faktörünü belirtir.
* {{PropertyData | Fuse}}: eğer {{TRUE}} ve {{PropertyData | Nesneler}} birbiriyle kesişen birçok şekil içeriyorsa, ortaya çıkan klon onları birlikte tek bir şekilde birleştirir veya bir bileşik oluşturur Bunların {{Version/tr | 0.17}}
</div>


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
The Clone tool can be used in [[macros]] and from the [[Python]] console by using the following function:
== Betik ==
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
</div>

<div class="mw-translate-fuzzy">
Klonla aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve [[Python/tr|Python]] konsolundan kullanılabilir:
</div>

{{Code|code=
{{Code|code=
cloned_object = clone(obj, delta=None, forcedraft=False)
cloned_object = make_clone(obj, delta=None, forcedraft=False)
}}
}}


<div class="mw-translate-fuzzy">
* Creates a {{incode|cloned_object}} from {{incode|obj}}, which can be a single object or a list of objects.
* Tek bir nesne veya nesne listesi olabilen {{incode|obj}} içinden {{incode|cloned_object}} oluşturur.
* If given, {{incode|delta}} is a {{incode|FreeCAD.Vector}} that moves the new clone away from the original position of the base object.
* Eğer verilirse, {{incode|delta}} yeni klonu temel nesnenin orijinal konumundan uzağa hareket ettiren bir {{incode|FreeCAD.Vector}}.
* If {{incode|forcedraft}} is {{incode|True}}, the resulting object will be a Draft clone, and not an Arch clone, even if {{incode|obj}} is an [[Arch Workbench]] object.
* {{incode|forcedraft}} {{incode|True}} ise, elde edilen nesne, {{incode|obj}} bir [[Arch Workbench/tr|Yapı tezgahı]] olsa bile, bir Taslak klonu olacak ve bir Yapı klonu olmayacaktır.
</div>


Örnek:
The fusion of the objects that are part of the clone can be achieved by setting its {{incode|Fuse}} attribute to {{incode|True}}.


Example:
{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft


doc = App.newDocument()
place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)


place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
obj = [Polygon1, Polygon2]
polygon1 = Draft.make_polygon(3, 750)
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)


cloned_object.Fuse = True
cloned_object.Fuse = True

FreeCAD.ActiveDocument.recompute()
doc.recompute()
}}
}}



{{Draft Tools navi}}
<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{Draft Tools navi/tr}}
{{clear}}
{{Userdocnavi/tr}}
</div>

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:21, 4 September 2021

Klonla

Menü konumu
Taslak → Klonla
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
C L
Versiyonda tanıtıldı
-
Ayrıca bkz
Taşı, Ölçek

Description

Açıklama

Taslak Klonlama aracı, seçilen bir şeklin bağlantılı kopyalarını oluşturur. Bu, eğer orijinal nesne şeklini ve özelliklerini değiştirirse, tüm klonların da değiştiği anlamına gelir. Bununla birlikte, her bir klon benzersiz konumunu, dönüşünü ve ölçeğini ve ayrıca şekil rengi, çizgi genişliği ve saydamlık gibi görünüm özelliklerini korur.

Klonla aracı, Taslak tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı, Parça tasarım tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Klonla Orijinal nesnenin yanındadır

Usage

Nasıl kullanılır

  1. Klonlamak istediğiniz nesneyi seçin.
  2. Klonla düğmesine basın.

Properties

See also: Property editor.

An object created with the Draft Clone command is derived from a Part Part2DObject, a Part Feature object or, if an Arch Clone is created, from the object type of the source object. It inherits all properties from that object. A clone derived from one of the first two objects also has the following additional properties:

Data

Draft

Özellikleri

  • Veri Nesneler: Klonlanan temel nesnelerin bir listesini belirtir.
  • Veri Ölçek: Klon için her X, Y ve Z yönünde ölçeklendirme faktörünü belirtir.
  • Veri Fuse: eğer true ve Veri Nesneler birbiriyle kesişen birçok şekil içeriyorsa, ortaya çıkan klon onları birlikte tek bir şekilde birleştirir veya bir bileşik oluşturur Bunların 0.17 sürümünde kullanılabilir

Scripting

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Klonla aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • Tek bir nesne veya nesne listesi olabilen obj içinden cloned_object oluşturur.
  • Eğer verilirse, delta yeni klonu temel nesnenin orijinal konumundan uzağa hareket ettiren bir FreeCAD.Vector.
  • forcedraft True ise, elde edilen nesne, obj bir Yapı tezgahı olsa bile, bir Taslak klonu olacak ve bir Yapı klonu olmayacaktır.

Örnek:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()